# ReFlO: Graphical Framework for Model Specification and Transformation
ReFlO aims to provide a machine-assisted framework to support [*Design by Transformation*](http://www.cs.utexas.edu/users/schwartz/DxT/), allowing domain-experts to encode domain knowledge about how programs are built in a particular domain, and for developers to synthesize efficient program architectures, using the knowledge provide by domain-experts.

For more details about ReFlO, check its [webpage](http://www.cs.utexas.edu/users/schwartz/DxT/reflo/).

## Author
Rui Carlos Gonçalves (<rgoncalves@di.uminho.pt>)

## Dependencies
The following Eclipse plugins need to be installed:
- EMF
- GMF
- Epsilon
- KIELER

This version of ReFlO was tested with Eclipse 4.3 SR1, EMF 2.0.1, GMF 3.1.0, Epsilon 1.1.0, KIELER 0.6.  

## Installation
1. Unzip the downloaded file (it should contains folders `dropins` and `xform`).
2. Copy the files contained on folder `dropins` to Eclipse's `dropins` folder.
3. Launch Eclipse, and create a general project, named `reflo`.
4. Copy folder `xform` to `reflo` project.
5. Go to *File > Import, choose General > Preferences*, and then select file `xform.epf` from folder `xform`.

## Documentation
See [ReFlO's webpage](http://www.cs.utexas.edu/users/schwartz/DxT/reflo/).
